import { Event } from '@dvn/takvim/api/models';
import { kimlikUsers } from './kimlik-users';
import { takvimCalendarConfigs } from './takvim-calendar-configs';
export const takvimEvents = (config) => ({
  takvimEvents1: Event.decode({
    _id: 'takvimEvents1',
    _created: new Date(),
    _updated: new Date(),
    config: takvimCalendarConfigs(config).takvimCalendarConfigsBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2021-05-21T10:00:00Z',
    endDate: '2021-05-21T12:00:00Z',
    meetingType: '8nn549d7c589nm3358ng',
    guests: [
      kimlikUsers(config).kimlikUsers1.toDBRef('kimlikUsers'),
      kimlikUsers(config).kimlikUsers3.toDBRef('kimlikUsers'),
    ],
  }),
  takvimEvents2: Event.decode({
    _id: 'takvimEvents2',
    _created: new Date(),
    _updated: new Date(),
    config: takvimCalendarConfigs(config).takvimCalendarConfigsBasic.toObject(),
    user: kimlikUsers(config).kimlikUsers3.toObject(),
    startDate: '2021-05-22T10:00:00Z',
    endDate: '2021-05-22T12:00:00Z',
    meetingType: 'ca43340lann8ng',
    guests: [
      kimlikUsers(config).kimlikUsers1.toDBRef('kimlikUsers'),
      kimlikUsers(config).kimlikUsers3.toDBRef('kimlikUsers'),
    ],
  }),
});
